LSBLK(8)

BEZEICHNUNG
lsblk - Blockgeräte auflisten

ÜBERSICHT
lsblk [Optionen] [Gerät …]

BESCHREIBUNG
lsblk listet Informationen zu allen oder den angegebenen blockorientierten Geräten auf. Der Befehl lsblk liest das sysfs-Dateisystem, um die Informationen zu beziehen.

Der Befehl gibt per Vorgabe alle blockorientierten Geräte (außer RAM-Disks) in einer Baumansicht aus. Mit dem Befehl lsblk --help erhalten Sie eine Liste der verfügbaren Spalten.

Sowohl die standardmäßige Ausgabe als auch die Ausgabe mit Optionen wie --fs und --topology ist Änderungen unterworfen. Daher sollten Sie vermeiden, voreingestellte Ausgaben in Ihren Skripten zu verwenden. Definieren Sie in Umgebungen, wo eine konsistente Ausgabe erforderlich ist, stets ausdrücklich mit --output Spaltenliste, welche Spalten Sie benötigen.

OPTIONEN

-a, --all
    listet auch leere Geräte auf (in der Voreinstellung werden diese übersprungen).

-b, --bytes
    gibt die Spalte GRÖSSE in Bytes statt in einem menschenlesbaren Format aus.

-D, --discard
    gibt Informationen zu den Discard-Fähigkeiten (TRIM, UNMAP) für jedes Gerät aus.

-d, --nodeps
    unterdrückt die Ausgabe von über- oder untergeordneten Geräten. Beispielsweise gibt lsblk --nodeps /dev/sda nur Informationen zum Gerät sda aus.

-e, --exclude Liste
    schließt anhand einer durch Kommata getrennten Liste aus Major-Gerätenummern Geräte aus. Beachten Sie, dass RAM-Disks (major=1) per Vorgabe nicht angezeigt werden. Der Filter wird nur auf Geräte der obersten Ebene angewendet.

-f, --fs
    gibt Informationen zu Dateisystemen aus. Diese Option ist gleichbedeutend mit -o NAME,FSTYPE,LABEL,MOUNTPOINT. Die maßgebenden Informationen über Dateisysteme und RAIDs werden vom Befehl blkid(8) geliefert.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-I, --include Liste
    schließt anhand einer durch Kommata getrennten Liste aus Major-Gerätenummern Geräte aus. Der Filter wird nur auf Geräte der obersten Ebene angewendet.

-i, --ascii
    verwendet ASCII-Zeichen für die Formatierung der Baumansicht.

-l, --list
    formatiert die Ausgabe als Liste.

-m, --perms
    gibt Informationen zum Besitzer des Gerätes, der Gruppe und des Modus aus. Diese Option ist gleichbedeutend mit -o NAME,SIZE,OWNER,GROUP,MODE.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    legt die anzuzeigenden Spalten fest. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die vorgegebene Liste der Spalten kann erweitert werden, wenn die Liste im Format +Liste angegeben wird (z.B. lsblk -o +UUID).

-P, --pairs
    gibt Schlüssel="Wert"-Paare aus. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<code>).

-p, --paths
    gibt vollständige Gerätepfade aus.

-r, --raw
    gibt das Rohformat aus. Alle potenziell unsicheren Zeichen werden in den Spalten NAME, KNAME, LABEL, PARTLABEL und MOUNTPOINT (\x<code>) hexadezimal maskiert.

-S, --scsi
    gibt nur Informationen zu SCSI-Geräten aus. Alle Partitionen, unter- und übergeordnete Geräte werden ignoriert.

-s, --inverse
    gibt die Abhängigkeiten in umgekehrter Reihenfolge aus.

-t, --topology
    gibt Informationen zur Verbindungsstruktur der blockorientierten Geräte aus. Diese Option ist gleichbedeutend mit -o NAME,ALIGNMENT,MIN-IO,OPT-IO,PHY-SEC,LOG-SEC,ROTA,SCHED,RQ-SIZE,WSAME.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

ANMERKUNGEN
Für die Partitionen werden einige Informationen (zum Beispiel Warteschlangen-Attribute) von den übergeordneten Geräten übernommen.

Der Befehl lsblk muss in der Lage sein, nach jedem blockorientierten Gerät anhand der Major:Minor-Nummern zu suchen, wofür /sys/dev/block verwendet wird. Dieses sysfs-Block-Verzeichnis erschien in Kernel 2.6.27 (Oktober 2008). Sollten mit einem ausreichend neuen Kernel Probleme auftreten, prüfen Sie, ob CONFIG_SYSFS bei der Erstellung des Kernels aktiviert war.

AUTOREN
Milan Broz <mbroz@redhat.com>
Karel Zak <kzak@redhat.com>

UMGEBUNGSVARIABLEN

Das Setzen von LIBMOUNT_DEBUG=0xffff aktiviert die Debug-Ausgabe.

SIEHE AUCH
findmnt(8), blkid(8), ls(1)

VERFÜGBARKEIT
Der Befehl lsblk ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.